tt_file_join(library call)

NAME
tt_file_join — register interest in messages involving a file

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_file_join(
const char *filepath);

DESCRIPTION

The tt_file_join function informs the ToolTalk service that the process is interested in messages that involve the specified file.

The ToolTalk service adds this file value to any currently registered patterns. The named file becomes the default file.

When the process joins a file, the ToolTalk service updates the file field of its registered patterns. The tt_file_join call causes the pattern's ToolTalk session to be stored in the database.

The filepath argument is a pointer to the pathname of the file in which the process is interested.

RETURN VALUE

Upon successful completion, the tt_file_join function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_DBAVAIL
    The ToolTalk service could not access the ToolTalk database needed for this operation.

TT_ERR_DBEXIST
    The ToolTalk service could not access the specified ToolTalk database in the expected place.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_PATH
    The specified pathname included an unsearchable directory.

SEE ALSO

Tt/tt_c.h - Tttt_c(5).